[Cryptech-Commits] [user/sra/libhal] 01/01: Add load_novena_fpga script.
git at cryptech.is
git at cryptech.is
Sun Jul 5 23:49:37 UTC 2015
This is an automated email from the git hooks/post-receive script.
sra at hactrn.net pushed a commit to branch master
in repository user/sra/libhal.
commit 94666f41262c2d8afb14552d0939ccca31e5e9f3
Author: Rob Austein <sra at hactrn.net>
Date: Sun Jul 5 19:41:51 2015 -0400
Add load_novena_fpga script.
---
utils/load_novena_fpga | 24 ++++++++++++++++++++++++
1 file changed, 24 insertions(+)
diff --git a/utils/load_novena_fpga b/utils/load_novena_fpga
new file mode 100755
index 0000000..512d1c5
--- /dev/null
+++ b/utils/load_novena_fpga
@@ -0,0 +1,24 @@
+#!/bin/sh -
+# Voodoo to load a new bitstream image into the FPGA on a Novena PVT-1.
+
+if test $# -ne 1 || test ! -f "$1"
+then
+ echo 1>&2 "usage: $0 bitstream-file"
+ exit 1
+fi
+
+echo "Setting export of reset pin"
+echo 135 > /sys/class/gpio/export
+
+echo "Setting reset pin to out"
+echo out > /sys/class/gpio/gpio135/direction
+
+echo "Flipping reset"
+echo 0 > /sys/class/gpio/gpio135/value
+echo 1 > /sys/class/gpio/gpio135/value
+
+echo "Configuring FPGA from $1"
+dd if="$1" of=/dev/spidev2.0 bs=128
+
+echo "Turning on clock to FPGA"
+eim_peek_poke --write 0x020c8160 0x00000d2b
More information about the Commits
mailing list